log mytest.log clear;
drop schema mytest cascade;
create schema mytest;
set schema mytest;

create library qaTmudfLib file '<mydir>/qaTMUdfTest.so';

create table_mapping function qa_tmudf()
external name 'QA_TMUDF'
language cpp
library qaTmudfLib;

create table mytable (c_clob clob, c_blob blob);
showddl mytable;
insert into mytable values ('CLOB_1', 'BLOB_1');
select CAST(c_clob as CHAR(10)), CAST(c_blob as CHAR(10)) from mytable;
select CAST(c_clob as CHAR(10)), CAST(c_blob as CHAR(10)) from UDF(qa_tmudf(TABLE(select * from mytable)));

drop schema mytest cascade;

